Spaces method and path for this operation:
post /s/{space_id}/api/entity_analytics/monitoring/users/_csv
Refer to Spaces for more information.
Bulk upserts privileged users by uploading a CSV file. Returns per-row errors and aggregate upload statistics.
POST
/api/entity_analytics/monitoring/users/_csv
curl \
--request POST 'https://<KIBANA_URL>/api/entity_analytics/monitoring/users/_csv' \
--header "Authorization: $API_KEY" \
--header "Content-Type: multipart/form-data" \
--form "file=username,is_privileged
john.doe,true
jane.smith,true
"
Request example
{"file" => "username,is_privileged\njohn.doe,true\njane.smith,true\n"}
Response examples (200)
{
"errors": [
{
"index": 1,
"message": "Invalid monitored field",
"username": "john.doe"
}
],
"stats": {
"failedOperations": 1,
"successfulOperations": 1,
"totalOperations": 2,
"uploaded": 2
}
}